import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listConfig(query) {
  return request({
    url: '/app/led/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getConfig(ledId) {
  return request({
    url: '/app/led/' + ledId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addConfig(data) {
  return request({
    url: '/app/led',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateConfig(data) {
  return request({
    url: '/app/led',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delConfig(ledId) {
  return request({
    url: '/app/led/' + ledId,
    method: 'delete'
  })
}
